Index: Celtk.asd
===================================================================
RCS file: /project/cells/cvsroot/Celtk/Celtk.asd,v
retrieving revision 1.10
diff -u -r1.10 Celtk.asd
--- Celtk.asd	7 Jun 2006 22:13:41 -0000	1.10
+++ Celtk.asd	15 Jun 2006 18:10:10 -0000
@@ -38,6 +38,6 @@
                (:file "fileevent")
                (:file "togl")
                (:file "run")
-	         (:file "ltktest-ci")
+               (:file "ltktest-ci")
                (:file "lotsa-widgets")
                (:file "demos")))
Index: lotsa-widgets.lisp
===================================================================
RCS file: /project/cells/cvsroot/Celtk/lotsa-widgets.lisp,v
retrieving revision 1.4
diff -u -r1.4 lotsa-widgets.lisp
--- lotsa-widgets.lisp	7 Jun 2006 22:13:41 -0000	1.4
+++ lotsa-widgets.lisp	15 Jun 2006 18:10:11 -0000
@@ -19,6 +19,14 @@
 
 (in-package :celtk-user)
 
+;;; Creates a pathname with NAME and TYPE in the same
+;;; directory/host/device/whatever as this lisp file. Tries to get
+;;; that at compile time to cope with some useful ASDF extensions that
+;;; place fasls in arbitrary places.
+(defun data-pathname (name type)
+  (merge-pathnames (make-pathname :name name :type type)
+                   #.(or *compile-file-truename* *load-truename*)))
+
 (defmodel lotsa-widgets (window)
   ()
   (:default-initargs
@@ -27,9 +35,7 @@
                  
                  (mk-row (:packing (c?pack-self))
                    (mk-label :text "aaa"
-                     :image-files (list (list 'kt (make-pathname #+lispworks :host #-lispworks :device "c"
-                                                    :directory '(:absolute "0dev" "Celtk")
-                                                    :name "kt69" :type "gif")))
+                     :image-files (list (list 'kt (data-pathname "kt69" "gif")))
                      :height 200
                      :width 300
                      :image (c? (format nil "~(~a.~a~)" (ctk::^path) 'kt)))
@@ -145,10 +151,7 @@
    :height 350
    :kids (c? (the-kids
               (mk-bitmap :coords (list 140 140)
-                :bitmap (conc$ "@" (namestring (make-pathname
-                                                :directory '(:absolute "0dev" "Celtk")
-                                                :name "x1"
-                                                :type "xbm"))))
+                :bitmap (conc$ "@" (namestring (data-pathname "x1" "xbm"))))
               (mk-rectangle :coords (list 10 10 100 60)
                 :tk-fill "red")
               (mk-text-item :coords (list 100 80)
Index: togl.lisp
===================================================================
RCS file: /project/cells/cvsroot/Celtk/togl.lisp,v
retrieving revision 1.10
diff -u -r1.10 togl.lisp
--- togl.lisp	11 Jun 2006 13:31:32 -0000	1.10
+++ togl.lisp	15 Jun 2006 18:10:11 -0000
@@ -20,7 +20,8 @@
 
 
 (define-foreign-library Togl
-    (:darwin (:or "/opt/tcltk/togl/lib/Togl1.7/libtogl1.7.dylib"))
+  (:darwin (:or "libTogl1.7.dylib"
+                "/opt/tcltk/togl/lib/Togl1.7/libtogl1.7.dylib"))
   (:windows (:or "/tcl/lib/togl/togl17.dll"))
   (:unix "/usr/lib/Togl1.7/libTogl1.7.so"))
 
